package api.common.pojo.vo.model;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class VehicleVO {
    private String id;  //主键id
    private String vehicleName;  //车辆名称
    private String description;  //车辆描述
    private String[] vehicleType;   //车辆模型
    private String modelLabel;  //车辆模型标签
    private String share;    // 公有私有
    private String parameterType;    // 1 vtd 2 carsim
    //* -------------------------------- vtd --------------------------------
    private String vehicleCode; //车辆编码
    private String vehicleTypeStr;   //车辆模型字符串
    private String vehicleFrontView;
    private String vehicleTopView;  //车辆俯视图
    private BigDecimal maxSpeed;    //最大速度（千米/小时）
    private BigDecimal enginePower;  //发动机功率（千瓦）
    private BigDecimal maxDeceleration;  //最大减速度（米/秒2）
    private BigDecimal maxSteeringAngle;     //最大转角（度）
    private BigDecimal mass;     //质量（千克）
    private BigDecimal frontSurfaceEffective;   //前表面有效面积（平方米）
    private BigDecimal airDragCoefficient;  //空气阻力系数
    private BigDecimal rollingResistanceCoefficient;    //滚动阻力系数
    private BigDecimal wheelDiameter;     //车轮直径（米）
    private String wheelDrive;   //驱动方式
    private BigDecimal overallEfficiency;    //总效率
    private BigDecimal frontDistance;    //车前距（米）
    private BigDecimal rearDistance;    //车后距（米）
    private BigDecimal leftDistance;    //车左距（米）
    private BigDecimal rightDistance;    //车右距（米）
    private BigDecimal heightDistance;    //车高（米）
    private BigDecimal wheelbase;    //轴距（米）
    //* -------------------------------- carsim --------------------------------
    private Double wheelCenterToTop;//轮胎中心到车顶的高度
    private Double wheelCenterToGround;//轮胎中心到地面的高度
    private Double centroidToFrontWheelCenter;//质心到前轮中心
    private Double centroidToGround;//质心到地面
//    private Double wheelbase;//轴距
    private Double sprungMass;//簧上质量
    private Double vehicleWidth;//车辆宽度
    private Double rotationalInertiaX;//整车绕x轴转动惯量
    private Double rotationalInertiaY;//整车绕y轴转动惯量
    private Double rotationalInertiaZ;//整车绕z轴转动惯量
    private Double frontLeftWheelEffectiveRollingRadius;//左前轮有效滚动半径
    private Double frontLeftWheelRollingResistanceCoefficient;//左前轮滚动阻力系数
    private Double frontLeftWheelFreeRadius;//左前轮自由半径
    private List<List<String>> frontLeftWheelRelationCurveOfPositiveMomentAndSideslipAngle;//左前轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> frontLeftWheelRelationCurveBetweenLateralForceAndSideslipAngle;//左前轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> frontLeftWheelRelationCurveBetweenLongitudinalForceAndSideslipAngle;//左前轮不同载荷下纵向力和侧偏角关系曲线
    private List<List<String>> rearLeftWheelRelationCurveOfPositiveMomentAndSideslipAngle;//左后轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> rearLeftWheelRelationCurveBetweenLateralForceAndSideslipAngle;//左后轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> rearLeftWheelRelationCurveBetweenLongitudinalForceAndSideslipAngle;//左后轮不同载荷下纵向力和侧偏角关系曲线
    private List<List<String>> frontRightWheelRelationCurveOfPositiveMomentAndSideslipAngle;//右前轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> frontRightWheelRelationCurveBetweenLateralForceAndSideslipAngle;//右前轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> frontRightWheelRelationCurveBetweenLongitudinalForceAndSideslipAngle;//右前轮不同载荷下纵向力和侧偏角关系曲线
    private List<List<String>> rearRightWheelRelationCurveOfPositiveMomentAndSideslipAngle;//右后轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> rearRightWheelRelationCurveBetweenLateralForceAndSideslipAngle;//右后轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> rearRightWheelRelationCurveBetweenLongitudinalForceAndSideslipAngle;//右后轮不同载荷下纵向力和侧偏角关系曲线
    private String frontWheelSuspensionType;//前轮悬架类型 1 独立悬架 2 非独立悬架
    private String frontWheelSuspensionKinematicsCoefficient;//前轮悬架运动学系数
    private String frontWheelUnsprungMass;//前轮簧下质量
    private String frontWheelTrackWidth;//前轮轮距
    private String rearWheelSuspensionType;//后轮悬架类型 1 独立悬架 2 非独立悬架
    private String rearWheelSuspensionKinematicsCoefficient;//后轮悬架运动学系数
    private String rearWheelUnsprungMass;//后轮簧下质量
    private String rearWheelTrackWidth;//后轮轮距
    private String windwardArea;//迎风面积
    private String airDensity;//空气密度
    private String engineCrankshaftMomentOfInertia;//发动机曲轴转动惯量
    private String idleSpeed;//怠速转速
    private List<List<String>> relationCurveOfEngineTorqueSpeedAndThrottleOpening;//发动机扭矩、转速和节气门开度关系曲线
    private String momentOfInertiaOfInputShaft;//输入轴的转动惯量
    private String momentOfInertiaOfOutputShaft;//输出轴的转动惯量
    private String finalDriveRatio;//主减速器传动比
    private List<String> transmissionEfficiency;//传动效率
    private List<String> gearRatio;//R,N,1,2,3,4,5,6
    private List<String> inertia;//R,N,1,2,3,4,5,6
    private List<String> driving;//R,N,1,2,3,4,5,6
    private List<String> coasting;//R,N,1,2,3,4,5,6
    private String shiftTime;//换挡时间
    private List<List<String>> shiftTimeUp12;//
    private List<List<String>> shiftTimeDown12;//
    private List<List<String>> shiftTimeUp23;//
    private List<List<String>> shiftTimeDown23;//
    private List<List<String>> shiftTimeUp34;//
    private List<List<String>> shiftTimeDown34;//
    private List<List<String>> shiftTimeUp45;//
    private List<List<String>> shiftTimeDown45;//
    private List<List<String>> shiftTimeUp56;//
    private List<List<String>> shiftTimeDown56;//
    private String brakeType;//制动类型 1 前轮制动 2 后轮制动 3 四轮制动
    private String frontLeftWheelBrakingTorque;//左前轮制动力矩
    private String rearLeftWheelBrakingTorque;//左后轮制动力矩
    private String frontRightWheelBrakingTorque;//右前轮制动力矩
    private String rearRightWheelBrakingTorque;//右后轮制动力矩
    private String steeringType;//转向类型 1 前轮转向 2 后轮转向 3 四轮转向
    private String steeringGearType;//转向类型 1 齿轮齿条转向器 2 循环球式转向器
    private String relationCurveBetweenRightWheelAngleAndSteeringGearOutput;//右轮转角与转向器输出的关系
    private String relationCurveBetweenLeftWheelAngleAndSteeringGearOutput;//左轮转角与转向器输出的关系

}
